MIR_Data Struct Reference

`#include <SDL_mirvideo.h>`

Collaboration diagram for MIR_Data:
[legend]

## Data Fields

MirConnection * | connection
MirDisplayConfig * | display_config
MIR_Window * | current_window
SDL_bool | software
MirPixelFormat | pixel_format

## Detailed Description

Definition at line 35 of file SDL_mirvideo.h.

## Field Documentation

## connection

MirConnection* MIR_Data::connection

Definition at line 37 of file SDL_mirvideo.h.

## current_window

MIR_Window* MIR_Data::current_window

Definition at line 39 of file SDL_mirvideo.h.

## display_config

MirDisplayConfig* MIR_Data::display_config

Definition at line 38 of file SDL_mirvideo.h.

## pixel_format

MirPixelFormat MIR_Data::pixel_format

Definition at line 41 of file SDL_mirvideo.h.

## software

SDL_bool MIR_Data::software

Definition at line 40 of file SDL_mirvideo.h.

The documentation for this struct was generated from the following file:

- src/video/mir/SDL_mirvideo.h